Guia do iniciante para lidar com vários erros relacionados a atualizações no Ubuntu

23 de outubro de 2019

Quem não encontrou um erro ao fazer uma atualização no Ubuntu? Erros de atualização são comuns e abundantes no Ubuntu e em outras distribuições Linux baseadas no Ubuntu. Aqui estão alguns erros comuns de atualização do Ubuntu e suas correções.

Este artigo é parte da série para iniciantes do Ubuntu que explica o know-how do Ubuntu para que um novo usuário possa entender melhor as coisas.

Em um artigo anterior, discuti como atualizar o Ubuntu. Neste tutorial, discutirei alguns erros comuns que você pode encontrar durante a atualização do Ubuntu. Geralmente acontece porque você tentou adicionar software ou repositórios por conta própria e isso provavelmente causou um problema.

Não há necessidade de pânico se você vir os erros ao atualizar seu sistema. Os erros são comuns e a correção é fácil. Você aprenderá como corrigir esses erros de atualização comuns.

Antes de começar, é altamente recomendável ler esses dois artigos para ter uma melhor compreensão do conceito de repositório no Ubuntu.

Compreender os repositórios do Ubuntu

Compreender os repositórios do Ubuntu

Aprenda o que são vários repositórios no Ubuntu e como eles permitem que você instale software em seu sistema.

Leia mais Compreendendo o PPA no Ubuntu

Compreendendo o PPA no Ubuntu

Melhore ainda mais o seu conceito de repositórios e manuseio de pacotes no Ubuntu com este guia detalhado sobre PPA.

Leia mais Erro 0: falha ao baixar as informações do repositório

Muitos usuários de desktop Ubuntu atualizam seu sistema por meio da ferramenta de atualização de software gráfico. Você é notificado de que há atualizações disponíveis para o seu sistema e pode clicar em um botão para começar a baixar e instalar as atualizações.

Bem, é isso que geralmente acontece. Mas às vezes você verá um erro como este:

Falha ao baixar informações do repositório Ubuntu 13.04

Falha ao baixar informações do repositório. Verifique a sua conexão com a internet.***

Esse é um erro estranho porque sua conexão com a Internet provavelmente está funcionando bem e ainda diz para verificar a conexão com a Internet.

Você notou que eu chamei de ‘erro 0’? É porque não é um erro em si. Quer dizer, provavelmente não tem nada a ver com a conexão com a internet. Mas não há nenhuma informação útil além desta mensagem de erro enganosa.

Se você vir esta mensagem de erro e sua conexão com a Internet estiver funcionando bem, é hora de colocar seu chapéu de detetive e usar suas células cinzas (como diria Hercule Poirot).

Você terá que usar a linha de comando aqui. Você pode usar o atalho de teclado Ctrl + Alt + T para abrir o terminal no Ubuntu. No terminal, use este comando:

Comandos para usar no terminal

sudo apt update

Deixe o comando terminar. Observe as últimas três ou quatro linhas de sua saída. Isso lhe dará a verdadeira razão pela qual sudo apt-get update falha. Aqui está um exemplo:

Erro W GPG As seguintes assinaturas não puderam ser verificadas porque a chave pública não está disponível: Erro W GPG As seguintes assinaturas não puderam ser verificadas porque a chave pública não está disponível: Resto do tutorial aqui mostra como lidar com os erros que você acabou de ver nas últimas linhas da saída do comando update.

Erro 1: problema com MergeList

Quando você executa a atualização no terminal, pode ver um erro problema com MergeList como abaixo:

E: Encontrada uma seção sem Pacote: cabeçalho, E: Problema com MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages, E: As listas de pacotes ou o arquivo de status não pôde ser analisado ou aberto. 'Por alguns motivos, o arquivo no diretório/var/lib/apt/lists foi corrompido. Você pode excluir todos os arquivos neste diretório e executar a atualização novamente para gerar tudo novamente. Use os seguintes comandos um por um:

Comandos para usar no terminal

sudo rm -r /var/lib/apt/lists/* sudo apt-get clean && sudo apt-get update

Seu problema deve ser corrigido.

Erro 2: incompatibilidade de Hash Sum

Se você encontrar um erro que fala sobre incompatibilidade de Hash Sum, a correção é a mesma do erro anterior.

W: Falha ao buscar bzip2: /var/lib/apt/lists/partial/in.archive.ubuntu.com_ubuntu_dists_oneiric_restricted_binary-i386_Packages Hash Sum incompatível, W: Falha ao buscar bzip2: /var/lib/apt/lists/partial/in.archive.ubuntu.com_ubuntu_dists_oneiric_multiverse_binary-i386_Packages Hash Sum incompatível, E: Alguns arquivos de índice falharam no download. Eles foram ignorados ou os antigos foram usados. O erro ocorre possivelmente devido a um cache de metadados incompatível entre o servidor e seu sistema. Você pode usar os seguintes comandos para corrigi-lo:

Comandos para usar no terminal

sudo rm -rf /var/lib/apt/lists/*

sudo apt update

Erro 3: falha ao buscar com o erro 404 não encontrado

Se você tentar adicionar um repositório PPA que não está disponível para sua [versão do Ubuntu] atual (/como-saber-versao-ubuntu-unity), verá que ele gerará um erro 404 não encontrado.

W: Falha ao buscar http://ppa.launchpad.net/venerix/pkg/ubuntu/dists/raring/main/binary-i386/Packages 404 Não encontrado E: Alguns arquivos de índice falharam ao baixar. Eles foram ignorados ou os antigos usados em seu lugar. Você adicionou um PPA na esperança de instalar um aplicativo, mas ele não está disponível para a sua versão do Ubuntu e agora você está preso ao erro de atualização. É por isso que você deve verificar com antecedência se um PPA está disponível para sua versão do Ubuntu ou não. Eu discuti como verificar a disponibilidade do PPA no [guia do PPA] detalhado (/guia-ppa-guide).

De qualquer forma, a correção aqui é remover o PPA problemático da sua lista de repositórios. Observe o nome do PPA na mensagem de erro. Vá para a ferramenta Software e atualizações :

Software e atualizações no Ubuntu GNOME Software e atualizações no Ubuntu GNOME Abra Software e atualizações Aqui, vá para a guia Outro software e procure por esse PPA. Desmarque a caixa para remover o PPA do seu sistema.

Remover PPA usando atualizações de software no Ubuntu Remover PPA usando atualizações de software no Ubuntu Remover PPA usando software e atualizações no Ubuntu Sua lista de software será atualizada quando você fizer isso. Agora, se você executar a atualização novamente, não verá o erro.

Erro 4: falha ao baixar o erro dos arquivos do pacote

Um erro semelhante é erro ao baixar os arquivos do pacote como este:

! [falha ao baixar o erro dos arquivos do pacote no Ubuntu 14.04](Ubuntu_Update_error.webp) falha ao baixar o erro dos arquivos do pacote no Ubuntu 14.04 Nesse caso, uma versão mais recente do software está disponível, mas não propagado para todos os espelhos. Se você não estiver usando um espelho, conserte facilmente alterando as fontes de software para o servidor principal. Leia este artigo para obter mais detalhes sobre erro ao baixar o pacote.

Vá para Software e atualizações e altere o servidor de download para servidor principal:

[! erro ao baixar arquivos de pacote

erro ao baixar arquivos de pacote](https://i2.wp.com/itsfoss.com/wp-content/uploads/2014/09/Change_server_Ubuntu.jpeg?ssl=1) Erro 5: Erro GPG: não foi possível verificar as seguintes assinaturas

Adicionar um PPA também pode resultar no seguinte erro GPG: As seguintes assinaturas não puderam ser verificadas quando você tenta executar uma atualização no terminal:

W: Erro GPG: http://repo.mate-desktop.org saucy InRelease: As seguintes assinaturas não puderam ser verificadas porque a chave pública não está disponível: NO_PUBKEY 68980A0EA10B4DE8 Tudo que você precisa fazer é buscar esta chave pública no sistema. Obtenha o número da chave na mensagem. Na mensagem acima, a chave é 68980A0EA10B4DE8.

Essa chave pode ser usada da seguinte maneira:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 68980A0EA10B4DE8 Uma vez que a chave foi adicionada, execute a atualização novamente e deve ficar bem.

Erro 6: erro BADSIG

Outro erro de atualização do Ubuntu relacionado à assinatura é erro BADSIG, que se parece com isto:

W: Ocorreu um erro durante a verificação da assinatura. O repositório não é atualizado e os arquivos de índice anteriores serão usados. Erro GPG: http://extras.ubuntu.com Versão precisa: As seguintes assinaturas eram inválidas: BADSIG 16126D3A3E5C1192 Chave de assinatura automática do arquivo de extras do Ubuntu W: Erro GPG: http://ppa.launchpad.net Versão precisa: As seguintes assinaturas eram inválidas: BADSIG 4C1CBC1B69B0E2F4 Launchpad PPA para Jonathan French W: Falha ao buscar http://extras.ubuntu.com/ubuntu/dists/precise/Release Todos os repositórios são assinados com o GPG e por algum motivo, seu sistema os considera inválidos. Você precisará atualizar as chaves de assinatura. A maneira mais fácil de fazer isso é regenerando a lista de pacotes apt (com suas chaves de assinatura) e deve ter a chave correta.

Use os seguintes comandos um por um no terminal:

cd/var/lib/apt sudo mv listas oldlist sudo mkdir -p lists/parcial sudo apt-get clean sudo apt-get update Erro 7: erro de atualização parcial

Executar atualizações no terminal pode gerar este erro de atualização parcial:

Erro de atualização parcial do Linux

Nem todas as atualizações podem ser instaladas Execute uma atualização parcial para instalar o máximo de atualizações possível. Execute o seguinte comando no terminal para corrigir este erro:

sudo apt-get install -f Erro 8: Não foi possível obter lock/var/cache/apt/archives/lock

Este erro ocorre quando outro programa está usando o APT. Suponha que você esteja instalando alguma coisa no Ubuntu Software Center e ao mesmo tempo tentando rodar o apt no terminal.

E: Não foi possível obter lock/var/cache/apt/archives/lock - open (11: Recurso temporariamente indisponível) E: Não é possível bloquear o diretório/var/cache/apt/archives/Verifique se algum outro programa pode estar usando o apt. Pode ser um terminal de execução de comando, Centro de Software, Atualizador de Software, Software e Atualizações ou qualquer outro software que lide com a instalação e remoção de aplicativos.

Se você puder fechar outros programas, feche-os. Se houver um processo em andamento, aguarde sua conclusão.

Se você não conseguir encontrar nenhum desses programas, use o seguinte comando para encerrar todos os processos em execução:

sudo killall apt apt-get Este é um problema complicado e se o problema ainda persistir, por favor leia este tutorial detalhado em consertando o erro de não foi possível bloquear o diretório de administração no Ubuntu.

Algum outro erro de atualização que você encontrou?

Isso compila a lista de erros frequentes de atualização do Ubuntu que você pode encontrar. Espero que isso ajude você a se livrar desses erros.

Você encontrou algum outro erro de atualização no Ubuntu recentemente que não foi abordado aqui? Mencione isso nos comentários e tentarei fazer um tutorial rápido sobre isso.

Confira também a versão original desse post em inglês
Esse post foi originalmente escrito por Abhishek Prakash e publicado no site itsfoss.com. Tradução sujeita a revisão.

Beginner’s Guide to Handle Various Update Related Errors in Ubuntu

Propaganda
Blog Comments powered by Disqus.

Siga-nos nas redes sociais

Telegram

t.me/LivreeAberto

Twitter

twitter.com/LivreeAberto

Instagram

instagram.com/LivreeAberto

Youtube

youtube.com
Propaganda